For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCancel transaction
      • POSTCapture transaction
      • POSTDeposit Transaction
      • POSTEstablish a new Transaction for authorization
      • GETGet transactions
      • POSTPreauthorize Transaction
      • POSTReclaim Transaction
      • POSTRefresh a transaction
      • POSTRefund Transaction
      • GETRetrieve a transaction
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APITransactions

Deposit Transaction

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/transactions/:transactionId/deposit
POST
/api/v1/transactions/:transactionId/deposit
$curl -X POST https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -u "<username>:<password>" \
> -d "merchantReference=597E61428FCAED20" \
> -d "amount=1"
200Example
1{
2 "transaction": {
3 "transactionId": "1002580243",
4 "transactionType": 6,
5 "originalTransactionId": "1002580222",
6 "payment": {
7 "paymentId": "1002580220",
8 "paymentType": 2,
9 "merchant": {
10 "merchantId": "1002463580"
11 },
12 "merchantReference": "123123",
13 "merchantId": "1002463580",
14 "fingerprint": "iSnTsj6TTOmPjqN5kE44aMkGqvk=",
15 "verification": {
16 "status": 3,
17 "mode": 3,
18 "verifyCustomer": false
19 },
20 "account": {
21 "name": "Demo Checking Account",
22 "type": -1,
23 "profile": 1,
24 "accountNumber": "6576",
25 "verified": false,
26 "verification": {
27 "verified": false,
28 "type": 2,
29 "hasEnoughFunds": false,
30 "verificationDate": 1619045543
31 },
32 "source": 1,
33 "token": "K0B1N06576"
34 },
35 "description": "Order",
36 "returnUrl": "https://yourdomain.com/return?",
37 "cancelUrl": "https://yourdomain.com/cancel?",
38 "notificationUrl": "http://yourdomain.com/notification?",
39 "currency": "USD",
40 "amount": "0.00",
41 "paymentProvider": {
42 "paymentProviderId": "200005501",
43 "type": 1,
44 "name": "Demo Bank",
45 "instantPayoutAvailable": false
46 },
47 "allowedPaymentProviderType": [
48 1,
49 2
50 ],
51 "auth": {
52 "token": "I1QHMEAD3DH",
53 "status": 2,
54 "message": "Authorized"
55 },
56 "authorization": "I1QHMEAD3DH",
57 "authorizationStatus": 2,
58 "authorizationStatusMessage": "Authorized",
59 "pending": "0.00",
60 "paid": "25.00",
61 "refunded": "0.00",
62 "reversed": "0.00",
63 "balance": "25.00",
64 "createdAt": 1555630391430,
65 "updatedAt": 1555630418939,
66 "recordVersion": 7,
67 "paymentFlow": 68
68 },
69 "currency": "USD",
70 "amount": "25.00",
71 "pending": "0.00",
72 "paid": "25.00",
73 "refunded": "0.00",
74 "reversed": "0.00",
75 "balance": "25.00",
76 "paymentProviderTransaction": {
77 "paymentProviderTransactionId": "ptx-n5i8B6Wp2tKQprYWBsdWH7K_-sbx",
78 "signature": "T:KG92TR7KLA1",
79 "status": "118",
80 "statusMessage": "Settled",
81 "paymentProcessor": {
82 "paymentProcessorId": "100000001"
83 }
84 },
85 "status": 4,
86 "statusMessage": "Completed",
87 "ip": "73.93.152.163",
88 "createdAt": 1555630418665,
89 "processedAt": 1555630418689,
90 "completedAt": 1555630418935,
91 "updatedAt": 1555630418936,
92 "ppTrxId": "ptx-n5i8B6Wp2tKQprYWBsdWH7K_-sbx",
93 "merchantReference": "ba8dca64-883a-4c30-b7f3-48b16fa39a51",
94 "automaticRepresentment": false,
95 "statusCode": "AC118",
96 "recordVersion": 3,
97 "instantPayoutSettle": true
98 }
99}
Deposit sends money amounts (minimum of 0.99) to a customer bank account of a previously authorized Disbursement or Deferred transaction. This operation creates a new transaction called a Deposit transaction. It is linked to the disbursement payment. You can create multiple Deposit transactions against a single Disbursement or Deferred Authorization so long as the amount doesn't exceed the total of the Authorization. Ensure you also implement an Event Notification Handler to get transaction status updates.
Was this page helpful?
Previous

Capture transaction

Next

Establish a new Transaction for authorization

Built with

Deposit sends money amounts (minimum of 0.99) to a customer bank account of a previously authorized Disbursement or Deferred transaction.

This operation creates a new transaction called a Deposit transaction. It is linked to the disbursement payment.

You can create multiple Deposit transactions against a single Disbursement or Deferred Authorization so long as the amount doesn’t exceed the total of the Authorization.

Ensure you also implement an Event Notification Handler to get transaction status updates.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired

Request

merchantReferencestringRequired
A specific merchant reference for this deposit. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.
amountdoubleOptional

The amount to be sent. (maximum of 10 characters with support for 2 decimal places)

instantPayoutRequestbooleanOptional
Whether instant payout for the deposit will be attempted.
externalTierstringOptional

The merchant’s tier associated with the customer (e.g. vip).

Response

OK
requiredany
transactionIdstring>=1 character

A unique transaction identifier generated by Trustly (15 character max).

transactionTypeenum

Type of transaction record. Definitions and descriptions can be found in this table

paymentobject
A Trustly Payment
currencyenum

3-letter ISO Currency Code. Currently only USD is supported.

Allowed values:
amountstring>=1 character

The amount of the transaction. (10 characters with support for 2 decimal places)

pendingstring>=1 character

The total amount that is still pending completion. (10 characters with support for 2 decimal places)

paidstring>=1 character

The total amount that was already paid. (10 characters with support for 2 decimal places)

refundedstring>=1 character

The total amount that was refunded. (10 characters with support for 2 decimal places)

reversedstring>=1 character

The total amount that was reversed. (10 characters with support for 2 decimal places)

balancestring>=1 character

The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)

paymentProviderTransactionobject
Payment Provider Transaction
statusenum

Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in this table

statusMessagestring>=1 character

A descriptive status message. (120 characters)

ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
ppTrxIdstring>=1 character
internal use only
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
expiredAtinteger
The date and time the preauthorization will expire as a UNIX timestamp.
recordVersiondouble
The current record version.
originalTransactionIdstring
feestring
timeZonestring
representmentScheduledAtdouble
paymentProcessorTypestring
statusCodestring
preAuthorizedboolean